## org.mortbay.http
Interface RequestLog

All Superinterfaces:
  LifeCycle, java.io.Serializable

All Known Implementing Classes:
  NCSARequestLog

public interface RequestLog
extends LifeCycle, java.io.Serializable

Abstract HTTP Request Log format

Version:
  $Id: RequestLog.java,v 1.3 2002/12/14 13:02:52 bretts Exp $
Author:
  Tony Thompson, Greg Wilkins

Method Summary
`void` `log(HttpRequest request, HttpResponse response, int responseLength)`

Methods inherited from interface org.mortbay.util.LifeCycle
`isStarted, start, stop`

Method Detail

### log

    public void log(HttpRequest request,
                    HttpResponse response,
                    int responseLength)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.